Continue a SMS Conversation
curl --request POST \
--url https://catalystapi.superdashhq.com/api/v1/sms/addToSMSThread/{assistantId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"workspaceId": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"message": "<string>",
"attributes": {
"customField1": "<string>",
"customField2": "<string>",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>"
}
}
'import requests
url = "https://catalystapi.superdashhq.com/api/v1/sms/addToSMSThread/{assistantId}"
payload = {
"workspaceId": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"message": "<string>",
"attributes": {
"customField1": "<string>",
"customField2": "<string>",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>"
}
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
toNumber: '<string>',
fromNumber: '<string>',
message: '<string>',
attributes: {
customField1: '<string>',
customField2: '<string>',
customField3: '<string>',
customField4: '<string>',
customField5: '<string>',
customField6: '<string>',
customField7: '<string>',
customField8: '<string>'
}
})
};
fetch('https://catalystapi.superdashhq.com/api/v1/sms/addToSMSThread/{assistantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Outbound SMS succesfully sent with id: messageId",
}
{
"msg": "Bad request"
}
{
"msg": "Api key is not valid"
}
{
"msg": "Please upgrade your account to continue"
}
{
"msg": "Forbidden"
}
{
"msg": "Server Error"
}
Sms
Continue a SMS Conversation
Use this API endpoint to continue a conversation via SMS
POST
/
v1
/
sms
/
addToSMSThread
/
{assistantId}
Continue a SMS Conversation
Authorizations
string
required
API key associated with your workspace
Path Parameters
string
required
The UUID associated with an assistant
Body Parameters
string
required
The UUID associated with a workspace.
string
required
The number to which the sms will be sent
string
required
The number from which the sms will be sent and it should be linked to the assistant.
string
required
The SMS content.
object
Additional attributes for the SMS
Show Properties
Show Properties
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
Response
string
The response message
{
"msg": "Outbound SMS succesfully sent with id: messageId",
}
{
"msg": "Bad request"
}
{
"msg": "Api key is not valid"
}
{
"msg": "Please upgrade your account to continue"
}
{
"msg": "Forbidden"
}
{
"msg": "Server Error"
}
⌘I